comonad-5.0.2: Comonads

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Comonad.Trans.Class

Description

# Documentation

class ComonadTrans t where Source #

Minimal complete definition

lower

Methods

lower :: Comonad w => t w a -> w a Source #

Instances

ComonadTrans (IdentityT *) Source # |
Methods lower :: Comonad w => IdentityT * w a -> w a Source #
ComonadTrans (EnvT e) Source # |
Methods lower :: Comonad w => EnvT e w a -> w a Source #
ComonadTrans (StoreT s) Source # |
Methods lower :: Comonad w => StoreT s w a -> w a Source #
Monoid m => ComonadTrans (TracedT m) Source # |
Methods lower :: Comonad w => TracedT m w a -> w a Source #